MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
HugeAllocation Class Reference

Automatic huge memory allocation management. More...

`#include <HugeAllocator.hxx>`

## Public Member Functions
| HugeAllocation ()=default
| HugeAllocation (size_t _size)
| HugeAllocation (HugeAllocation &&src) noexcept
| ~HugeAllocation ()
HugeAllocation & | operator= (HugeAllocation &&src) noexcept
void | Discard () noexcept
void | reset () noexcept
void * | get () noexcept

## Detailed Description

Automatic huge memory allocation management.

Definition at line 117 of file HugeAllocator.hxx.

## Constructor & Destructor Documentation

HugeAllocation::HugeAllocation | ( |  | ) |
| default

HugeAllocation::HugeAllocation | ( | size_t | _size | ) |
| inline

Definition at line 124 of file HugeAllocator.hxx.

HugeAllocation::HugeAllocation | ( | HugeAllocation && | src | ) |
| inline noexcept

Definition at line 127 of file HugeAllocator.hxx.

HugeAllocation::~HugeAllocation | ( |  | ) |
| inline

Definition at line 132 of file HugeAllocator.hxx.

## Member Function Documentation

void HugeAllocation::Discard | ( |  | ) |
| inline noexcept

Definition at line 143 of file HugeAllocator.hxx.

void* HugeAllocation::get | ( |  | ) |
| inline noexcept

Definition at line 154 of file HugeAllocator.hxx.

HugeAllocation& HugeAllocation::operator= | ( | HugeAllocation && | src | ) |
| inline noexcept

Definition at line 137 of file HugeAllocator.hxx.

void HugeAllocation::reset | ( |  | ) |
| inline noexcept

Definition at line 147 of file HugeAllocator.hxx.

The documentation for this class was generated from the following file:

- util/HugeAllocator.hxx